% Ce programme utilise la fonction Lap1D (voir fonction solveEDP0) que vous devez ecrire
% pour resoudre une EDP (voir sujet TP)
clear all
close all

% Initialisation de l'E.D.P.
[f,a,b,ua,ub,uex]=setEDP0();

% Resolution de l'E.D.P. par differences fines
[x,U]=solveEDP0(f,a,b,ua,ub,50);

figure(1)
plot(x,U,'b',x,uex(x),'r')
xlabel('x')
legend('Sol. D.F.','Sol. Ex.')

figure(2)
plot(x,abs(U-uex(x')))
xlabel('x')
title('Erreur')
